<template>
  <section>
    <div class="order-dishes record-section">
      <h3 class="record-section-title">
        {{ $t("skmpay.paymentDetail") }}
      </h3>

      <div class="restaurant">
        <div class="restaurant-pic" :style="{ ...logo }"></div>
        <div class="restaurant-info">
          <b class="restaurant-info-title">{{ order.companyName }}</b>
          <div class="restaurant-info-address">
            {{ order.address }}
          </div>
        </div>
      </div>

      <div class="order-hr"></div>

      <div class="order-detail order-sending-time d-flex">
        <div class="order-detail-label">
          {{
            order.orderType === "Delivery"
              ? $t("skmpay.deliveryTime")
              : $t("skmpay.pickupTime")
          }}
        </div>
        <div class="text-right flex-grow-1">
          {{ order.time }}
        </div>
      </div>

      <template v-if="order.orderType === 'Delivery'">
        <div class="order-hr"></div>

        <div class="order-detail order-detail-address">
          <div class="order-detail-label mb-1">
            {{ $t("skmpay.mealDeliverAddress") }}
          </div>
          {{ order.sendingAddress }}
        </div>
      </template>

      <div class="order-hr"></div>

      <div
        class="dish flex-wrap"
        v-for="product in order.products"
        :key="product.id"
      >
        <div class="dish-info">
          <span class="dish-count">{{ Number(product.quantity) }}</span>
          <h4 class="dish-name">{{ product.name }}</h4>
          <span class="dish-value"
            ><price :price="Number(product.price)"
          /></span>
        </div>
        <div class="dish-break"></div>
        <div
          class="dish-extra"
          :class="{ 'mt-2': !index }"
          v-for="(extra, index) in product.extras"
          :key="`extra${index}`"
        >
          <div>{{ extra.name }}</div>
          <div><price :price="Number(extra.value)" /></div>
        </div>
        <div class="dish-note" v-if="product.notes">
          {{ product.notes }}
        </div>
      </div>

      <div class="order-hr"></div>

      <div class="order-account">
        <div class="order-account-field">
          <span class="order-account-field-label">{{
            $t("preorderRecord.total", { count: order.quantity })
          }}</span>
          <span class="order-account-field-value"
            ><price :price="Number(order.subtotalAmount)"
          /></span>
        </div>
        <div
          class="order-account-field"
          v-show="order.orderType === 'Delivery'"
        >
          <span class="order-account-field-label">{{
            $t("preorderRecord.shippingFee")
          }}</span>
          <span class="order-account-field-value"
            ><price :price="Number(order.shippingFee)"
          /></span>
        </div>
      </div>

      <div class="order-hr"></div>

      <div class="order-value">
        <span class="order-value-label">{{
          $t("preorderRecord.totalAmount")
        }}</span>
        <span class="order-value-value"
          ><price :price="Number(order.totalAmount)"
        /></span>
      </div>
    </div>
  </section>
</template>

<script>
import moment from "moment";
import Price from "../Price";
export default {
  name: "SkmpayInfo",
  components: {
    Price
  },
  props: {
    order: {
      type: Object,
      default: () => {}
    }
  },
  computed: {
    logo() {
      return this.order.logo
        ? { backgroundImage: `url(${this.order.logo})` }
        : {};
    }
  },
  mounted() {
    console.log(this.order);
  }
};
</script>

<style lang="scss" scoped>
.record-section {
  border: 1px $color-sky-grey solid;
  background: $color-white;
  margin-bottom: 10px;
  border-radius: 4px;
  padding: 16px 24px;

  @include media-breakpoint-up(lg) {
    padding: 16px;
  }
}

.record-section-title {
  font-size: 16px;
  text-align: center;
  color: $color-primary-black;
  font-weight: 700;
  margin: 10px 0 15px;
}

.order-hr {
  border-bottom: 1px $color-sky-grey solid;
}

.order-detail {
  padding: 8px 0;
  font-size: 13px;
  color: $color-primary-grey;

  &-label {
    color: $color-secondary-black;
    flex-basis: 150px;
  }
}

.order-account-field {
  display: flex;
  line-height: 20px;
  margin: 10px 0;
  color: $color-secondary-black;
  font-size: 13px;
}

.order-account-field-label,
.order-account-field-value {
  flex: 1 1 50%;
}

.order-account-field-value {
  text-align: right;
}

.order-value {
  display: flex;
  margin-top: 10px;
  font-size: 16px;
  font-weight: 600;
}

.order-value-label,
.order-value-value {
  flex: 1 1 50%;
}

.order-value-value {
  text-align: right;
}

.restaurant {
  display: flex;
  padding: 8px 0;

  &-pic {
    width: 80px;
    height: 80px;
    background-color: $color-silver-grey;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    min-width: 0;
  }

  &-info {
    flex-grow: 1;
    padding: 8px 16px;
    color: $color-primary-grey;
    font-size: 13px;

    &-title {
      color: $color-primary-black;
      font-size: 16px;
    }

    &-address {
      margin-top: 8px;
    }
  }
}

.dish {
  position: relative;
  padding: 8px 0;
  display: flex;
}

.dish-info {
  // padding-left: 8px;
  display: flex;
  width: 100%;
}

.dish-name {
  padding-left: 8px;
  flex: 1 1 80%;
  font-size: 14px;
  font-weight: 500;
  margin: 0;
  line-height: 24px;

  @include media-breakpoint-up(lg) {
    font-weight: normal;
  }
}

.dish-value {
  flex: 1 1 20%;
  font-size: 13px;
  line-height: 24px;
  color: $color-secondary-black;
  text-align: right;
  margin-left: 4px;
}

.dish-count {
  width: auto;
  height: 20px;
  padding: 0 6px;
  line-height: 20px;
  color: $color-skm-red;
  background: $color-mineral-ice;
  border-radius: 2px;
  font-size: 13px;
  font-weight: 500;

  @include media-breakpoint-up(lg) {
    background: $color-skm-red;
    color: $color-white;
  }
}

.dish-extra {
  display: flex;
  width: 100%;
  justify-content: space-between;
  font-size: 14px;
  color: $color-secondary-black;
  margin: 4px 0 8px;
  padding-left: 27px;
}

.dish-break {
  flex-basis: 100%;
  height: 0;
}

.dish-note {
  font-size: 12px;
  color: $color-pigeon-grey;
  padding-left: 27px;
}
</style>
